---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: "dev-prod"
    acme.cert-manager.io/http01-edit-in-place: "true"
  name: argocd-ingress
  namespace: argocd
spec:
  ingressClassName: nginx
  rules:
    - host: argocd.int.simpl-europe.eu
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: argo-cd-argocd-server
                port:
                  number: 8080
  # This section is only required if TLS is to be enabled for the Ingress
  tls:
    - hosts:
      - argocd.int.simpl-europe.eu
      secretName: argocd-tls
